## panther-launcher 1.13.0-Debian1

=== CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

project (panther_launcher)
cmake_minimum_required (VERSION 2.6)
cmake_policy (VERSION 2.8)
list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
enable_testing ()
option(ICON_UPDATE "Update the icon cache after installing" ON)
option(BUILD_VALADOC "Build API documentation if Valadoc is available" OFF)
option(HAVE_ZEITGEIST "HAVE_ZEITGEIST" OFF)
option(HAS_PLANK "HAS_PLANK" OFF)
option(DISABLE_FLASHBACK "DISABLE_FLASHBACK" OFF)
option(DISABLE_MATE "DISABLE_MATE" OFF)

if( NOT CMAKE_BUILD_TYPE )
	set(CMAKE_BUILD_TYPE Release)
endif()

include(GNUInstallDirs)
if( ( ${CMAKE_INSTALL_PREFIX} MATCHES "^/usr/local" ) )
	# A workaround to ensure that works 'out of the box' in Debian-based systems
	set(CMAKE_INSTALL_LIBDIR lib)
endif()

set(HAVE_VALADOC OFF)
if(BUILD_VALADOC)
	find_package(Valadoc)
	if(VALADOC_FOUND)
		set(HAVE_VALADOC ON)
		include(Valadoc)
	else()
		message("Valadoc not found, will not build documentation")
	endif()
endif()

find_package(PkgConfig)

set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gtk+-3.0)
if ((HAVE_ZEITGEIST))
	set(MODULES_TO_CHECK ${MODULES_TO_CHECK} zeitgeist-2.0)
endif ()
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} cairo)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gdk-3.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gdk-pixbuf-2.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gee-0.8)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gio-2.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gio-unix-2.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} glib-2.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} gobject-2.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} json-glib-1.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} libgnome-menu-3.0)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} libsoup-2.4)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} pango)
set(MODULES_TO_CHECK ${MODULES_TO_CHECK} pangocairo)

pkg_check_modules(DEPS REQUIRED ${MODULES_TO_CHECK})

if (NOT DISABLE_FLASHBACK)
	if ( (NOT EXISTS "/usr/lib/pkgconfig/libpanel-applet.pc") AND (NOT EXISTS "/usr/lib64/pkgconfig/libpanel-applet.pc") AND (NOT EXISTS "/usr/lib/x86_64-linux-gnu/pkgconfig/libpanel-applet.pc") AND (NOT EXISTS "/usr/lib/i386-linux-gnu/pkgconfig/libpanel-applet.pc"))
	message(FATAL_ERROR "Can't find any of the files /usr/lib/pkgconfig/libpanel-applet.pc /usr/lib64/pkgconfig/libpanel-applet.pc /usr/lib/x86_64-linux-gnu/pkgconfig/libpanel-applet.pc /usr/lib/i386-linux-gnu/pkgconfig/libpanel-applet.pc")
endif()
endif ()
if (NOT DISABLE_MATE)
	if ( (NOT EXISTS "/usr/lib/pkgconfig/libmatepanelapplet-4.0.pc") AND (NOT EXISTS "/usr/lib64/pkgconfig/libmatepanelapplet-4.0.pc") AND (NOT EXISTS "/usr/lib/x86_64-linux-gnu/pkgconfig/libmatepanelapplet-4.0.pc") AND (NOT EXISTS "/usr/lib/i386-linux-gnu/pkgconfig/libmatepanelapplet-4.0.pc"))
	message(FATAL_ERROR "Can't find any of the files /usr/lib/pkgconfig/libmatepanelapplet-4.0.pc /usr/lib64/pkgconfig/libmatepanelapplet-4.0.pc /usr/lib/x86_64-linux-gnu/pkgconfig/libmatepanelapplet-4.0.pc /usr/lib/i386-linux-gnu/pkgconfig/libmatepanelapplet-4.0.pc")
endif()
endif ()
if ( (NOT EXISTS "/usr/share/icons/gnome/16x16/status/image-missing.png") AND (NOT EXISTS "/usr/share/icons/gnome/22x22/status/image-missing.png") AND (NOT EXISTS "/usr/share/icons/gnome/24x24/status/image-missing.png") AND (NOT EXISTS "/usr/share/icons/gnome/256x256/status/image-missing.png") AND (NOT EXISTS "/usr/share/icons/gnome/32x32/status/image-missing.png") AND (NOT EXISTS "/usr/share/icons/gnome/48x48/status/image-missing.png"))
	message(FATAL_ERROR "Can't find any of the files /usr/share/icons/gnome/16x16/status/image-missing.png /usr/share/icons/gnome/22x22/status/image-missing.png /usr/share/icons/gnome/24x24/status/image-missing.png /usr/share/icons/gnome/256x256/status/image-missing.png /usr/share/icons/gnome/32x32/status/image-missing.png /usr/share/icons/gnome/48x48/status/image-missing.png")
endif()

add_subdirectory(src/Backend)
add_subdirectory(po)
add_subdirectory(src/synapse-core)
add_subdirectory(panther_applet)
add_subdirectory(data)
add_subdirectory(src/synapse-plugins)
add_subdirectory(data/dbus)
add_subdirectory(data/icons)
add_subdirectory(panther_mate)
add_subdirectory(panther_gnome_shell)
add_subdirectory(src/Widgets)
add_subdirectory(src)

=== meson_options.txt ===
option('HAVE_ZEITGEIST',type : 'string', value: '')
option('HAS_PLANK',type : 'string', value: '')
option('DISABLE_FLASHBACK',type : 'string', value: '')
option('DISABLE_MATE',type : 'string', value: '')

=== data/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

IF(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/panther-applications.menu)
	install(DIRECTORY
		${CMAKE_CURRENT_SOURCE_DIR}/panther-applications.menu
	DESTINATION
		/etc/xdg/menus
	)
ELSE()
	install(FILES
		${CMAKE_CURRENT_SOURCE_DIR}/panther-applications.menu
	DESTINATION
		/etc/xdg/menus
	)
ENDIF()

include(GSettings)
add_schema(org.rastersoft.panther.gschema.xml)

=== doc/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

file(GLOB list_data RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *)
foreach(file_data ${list_data})
	IF(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${file_data})
		install(DIRECTORY
			${file_data}
		DESTINATION
			${CMAKE_INSTALL_DATAROOTDIR}/doc/panther_launcher
		)
	ELSE()
		install(FILES
			${file_data}
		DESTINATION
			${CMAKE_INSTALL_DATAROOTDIR}/doc/panther_launcher
		)
	ENDIF()
endforeach()

=== install/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.13

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list


# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/scott/BUILD/TWISTER-PANTHER-LAUNCHEER/panther_launcher-master

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/scott/BUILD/TWISTER-PANTHER-LAUNCHEER/panther_launcher-master/install

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "No interactive CMake dialog available..."
	/usr/bin/cmake -E echo No\ interactive\ CMake\ dialog\ available.
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /home/scott/BUILD/TWISTER-PANTHER-LAUNCHEER/panther_launcher-master/install/CMakeFiles /home/scott/BUILD/TWISTER-PANTHER-LAUNCHEER/panther_launcher-master/install/CMakeFiles/progress.marks
	$(MAKE) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/scott/BUILD/TWISTER-PANTHER-LAUNCHEER/panther_launcher-master/install/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named i18n

# Build rule for target.
i18n: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 i18n
.PHONY : i18n

# fast build rule for target.
i18n/fast:
	$(MAKE) -f po/CMakeFiles/i18n.dir/build.make po/CMakeFiles/i18n.dir/build
.PHONY : i18n/fast

#=============================================================================
# Target rules for targets named pot

# Build rule for target.
pot: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 pot
.PHONY : pot

# fast build rule for target.
pot/fast:
	$(MAKE) -f po/CMakeFiles/pot.dir/build.make po/CMakeFiles/pot.dir/build
.PHONY : pot/fast

#=============================================================================
# Target rules for targets named panther_launcher

# Build rule for target.
panther_launcher: cmake_check_build_system
	$(MAKE) -f CMakeFiles/Makefile2 panther_launcher
.PHONY : panther_launcher

# fast build rule for target.
panther_launcher/fast:
	$(MAKE) -f src/CMakeFiles/panther_launcher.dir/build.make src/CMakeFiles/panther_launcher.dir/build
.PHONY : panther_launcher/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... install/strip"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... list_install_components"
	@echo "... install"
	@echo "... test"
	@echo "... install/local"
	@echo "... i18n"
	@echo "... pot"
	@echo "... panther_launcher"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== panther_applet/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

if (NOT DISABLE_FLASHBACK)
	include(${CMAKE_CURRENT_SOURCE_DIR}/applet.txt)
endif ()

=== panther_gnome_shell/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

IF(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/LICENSE)
	install(DIRECTORY
		${CMAKE_CURRENT_SOURCE_DIR}/LICENSE
	DESTINATION
		share/gnome-shell/extensions/slingshotgnome@rastersoft.com
	)
ELSE()
	install(FILES
		${CMAKE_CURRENT_SOURCE_DIR}/LICENSE
	DESTINATION
		share/gnome-shell/extensions/slingshotgnome@rastersoft.com
	)
ENDIF()

IF(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/README.md)
	install(DIRECTORY
		${CMAKE_CURRENT_SOURCE_DIR}/README.md
	DESTINATION
		share/gnome-shell/extensions/slingshotgnome@rastersoft.com
	)
ELSE()
	install(FILES
		${CMAKE_CURRENT_SOURCE_DIR}/README.md
	DESTINATION
		share/gnome-shell/extensions/slingshotgnome@rastersoft.com
	)
ENDIF()

IF(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/extension.js)
	install(DIRECTORY
		${CMAKE_CURRENT_SOURCE_DIR}/extension.js
	DESTINATION
		share/gnome-shell/extensions/slingshotgnome@rastersoft.com
	)
ELSE()
	install(FILES
		${CMAKE_CURRENT_SOURCE_DIR}/extension.js
	DESTINATION
		share/gnome-shell/extensions/slingshotgnome@rastersoft.com
	)
ENDIF()

IF(IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/metadata.json)
	install(DIRECTORY
		${CMAKE_CURRENT_SOURCE_DIR}/metadata.json
	DESTINATION
		share/gnome-shell/extensions/slingshotgnome@rastersoft.com
	)
ELSE()
	install(FILES
		${CMAKE_CURRENT_SOURCE_DIR}/metadata.json
	DESTINATION
		share/gnome-shell/extensions/slingshotgnome@rastersoft.com
	)
ENDIF()

=== panther_mate/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

if (NOT DISABLE_MATE)
	include(${CMAKE_CURRENT_SOURCE_DIR}/applet.txt)
endif ()

=== po/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

include (Translations)
add_translations_directory("panther_launcher")
add_translations_catalog("panther_launcher" ../src/Backend ../src ../src/Widgets ../src/synapse-core ../src/synapse-plugins )

=== src/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

set (DATADIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}")
set (PKGDATADIR "${DATADIR}/panther_launcher")
set (GETTEXT_PACKAGE "panther_launcher")
set (RELEASE_NAME "panther_launcher")
set (CMAKE_C_FLAGS "")
set (PREFIX ${CMAKE_INSTALL_PREFIX})
set (VERSION "1.13.1")
set (TESTSRCDIR "${CMAKE_SOURCE_DIR}")
set (DOLLAR "$")

configure_file (${CMAKE_SOURCE_DIR}/src/Config.vala.base ${CMAKE_BINARY_DIR}/src/Config.vala)
add_definitions(-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\")
set (VERSION "1.13.1")
add_definitions (${DEPS_CFLAGS})
link_libraries ( ${DEPS_LIBRARIES} )
link_directories ( ${DEPS_LIBRARY_DIRS} )
find_package (Vala REQUIRED)
include (ValaVersion)
ensure_vala_version ("0.26" MINIMUM)
include (ValaPrecompile)

set (VALA_PACKAGES ${VALA_PACKAGES} posix)
set (VALA_PACKAGES ${VALA_PACKAGES} gtk+-3.0)
if ((HAVE_ZEITGEIST))
	set (VALA_PACKAGES ${VALA_PACKAGES} zeitgeist-2.0)
endif ()
set (VALA_PACKAGES ${VALA_PACKAGES} cairo)
set (VALA_PACKAGES ${VALA_PACKAGES} gdk-3.0)
set (VALA_PACKAGES ${VALA_PACKAGES} gdk-pixbuf-2.0)
set (VALA_PACKAGES ${VALA_PACKAGES} gee-0.8)
set (VALA_PACKAGES ${VALA_PACKAGES} gio-2.0)
set (VALA_PACKAGES ${VALA_PACKAGES} gio-unix-2.0)
set (VALA_PACKAGES ${VALA_PACKAGES} glib-2.0)
set (VALA_PACKAGES ${VALA_PACKAGES} gobject-2.0)
set (VALA_PACKAGES ${VALA_PACKAGES} json-glib-1.0)
set (VALA_PACKAGES ${VALA_PACKAGES} libgnome-menu-3.0)
set (VALA_PACKAGES ${VALA_PACKAGES} libsoup-2.4)
set (VALA_PACKAGES ${VALA_PACKAGES} pango)
set (VALA_PACKAGES ${VALA_PACKAGES} pangocairo)

set (APP_SOURCES ${APP_SOURCES} ${CMAKE_CURRENT_BINARY_DIR}/Config.vala)
set (APP_SOURCES ${APP_SOURCES} Backend/App.vala)
set (APP_SOURCES ${APP_SOURCES} Backend/AppSystem.vala)
set (APP_SOURCES ${APP_SOURCES} Backend/DBusService.vala)
set (APP_SOURCES ${APP_SOURCES} Backend/RelevancyService.vala)
set (APP_SOURCES ${APP_SOURCES} Backend/SynapseSearch.vala)
set (APP_SOURCES ${APP_SOURCES} Panther.vala)
set (APP_SOURCES ${APP_SOURCES} PantherView.vala)
set (APP_SOURCES ${APP_SOURCES} Pixels.vala)
set (APP_SOURCES ${APP_SOURCES} Settings.vala)
set (APP_SOURCES ${APP_SOURCES} Utils.vala)
set (APP_SOURCES ${APP_SOURCES} Widgets/AppEntry.vala)
set (APP_SOURCES ${APP_SOURCES} Widgets/CategoryView.vala)
set (APP_SOURCES ${APP_SOURCES} Widgets/Grid.vala)
set (APP_SOURCES ${APP_SOURCES} Widgets/SearchItem.vala)
set (APP_SOURCES ${APP_SOURCES} Widgets/SearchView.vala)
set (APP_SOURCES ${APP_SOURCES} Widgets/Sidebar.vala)
set (APP_SOURCES ${APP_SOURCES} Widgets/Switcher.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-core/common-actions.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-core/config-service.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-core/data-sink.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-core/dbus-service.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-core/desktop-file-service.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-core/match.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-core/plugin.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-core/query.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-core/relevancy-backend-zg.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-core/relevancy-service.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-core/result-set.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-core/utils.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-core/volume-service.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-plugins/calculator-plugin.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-plugins/command-plugin.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-plugins/desktop-file-plugin.vala)
set (APP_SOURCES ${APP_SOURCES} synapse-plugins/system-managment.vala)

if (HAVE_ZEITGEIST)
	set (COMPILE_OPTIONS ${COMPILE_OPTIONS} -D HAVE_ZEITGEIST)
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAVE_ZEITGEIST " )
	set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DHAVE_ZEITGEIST " )
endif ()
if (HAS_PLANK)
	set (COMPILE_OPTIONS ${COMPILE_OPTIONS} -D HAS_PLANK)
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DHAS_PLANK " )
	set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DHAS_PLANK " )
endif ()
if (DISABLE_FLASHBACK)
	set (COMPILE_OPTIONS ${COMPILE_OPTIONS} -D DISABLE_FLASHBACK)
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DDISABLE_FLASHBACK " )
	set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DDISABLE_FLASHBACK " )
endif ()
if (DISABLE_MATE)
	set (COMPILE_OPTIONS ${COMPILE_OPTIONS} -D DISABLE_MATE)
	set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DDISABLE_MATE " )
	set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DDISABLE_MATE " )
endif ()

if ((${CMAKE_BUILD_TYPE} STREQUAL "Debug") OR (${CMAKE_BUILD_TYPE} STREQUAL "RelWithDebInfo"))
	set(COMPILE_OPTIONS ${COMPILE_OPTIONS} "-g")
endif()


set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DGMENU_I_KNOW_THIS_IS_UNSTABLE" )

vala_precompile(VALA_C panther_launcher
	${APP_SOURCES}
PACKAGES
	${VALA_PACKAGES}
OPTIONS
	${COMPILE_OPTIONS}
)

add_executable(panther_launcher ${VALA_C})
target_link_libraries( panther_launcher m )


install(TARGETS
	panther_launcher
RUNTIME DESTINATION
	${CMAKE_INSTALL_BINDIR}
)
if(HAVE_VALADOC)
	valadoc(panther_launcher
		${CMAKE_BINARY_DIR}/valadoc/panther_launcher
		${APP_SOURCES}
	PACKAGES
		${VALA_PACKAGES}
	CUSTOM_VAPIS
		${CUSTOM_VAPIS_LIST}
	)
	install(DIRECTORY
		${CMAKE_BINARY_DIR}/valadoc
	DESTINATION
		${CMAKE_INSTALL_DATAROOTDIR}/doc/panther_launcher
	)
endif()

=== data/dbus/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

SET(DBUS_PREFIX ${CMAKE_INSTALL_PREFIX})
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/com.rastersoft.panther.remotecontrol.service.base ${CMAKE_CURRENT_BINARY_DIR}/com.rastersoft.panther.remotecontrol.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/com.rastersoft.panther.remotecontrol.service DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/services/)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/com.rastersoft.panther.remotecontrol.conf DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dbus-1/system.d/)

=== data/icons/CMakeLists.txt ===
### CMakeLists automatically created with AutoVala
### Do not edit

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/panther-categories-symbolic.svg DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/status/)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/panther-icons-symbolic.svg DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/status/)
if( NOT (${ICON_UPDATE} STREQUAL "OFF" ))
	find_program ( GTK_UPDATE_ICON_CACHE NAMES gtk-update-icon-cache.3.0 gtk-update-icon-cache )
	install (CODE "execute_process ( COMMAND ${GTK_UPDATE_ICON_CACHE} -f -t ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor )" )
ENDIF()

=== debian/changelog ===
panther-launcher (1.13.0-Debian1) sid; urgency=low

  * Now compiles again

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Thu, 07 Jun 2018 23:55:00 +0200

panther-launcher (1.12.0-Debian1) sid; urgency=low

  * Added support for Mate Desktop (thanks to XRevan86)
  * Added dependencies for needed icons
  * Now tries to not use legacy icon names

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Sun, 25 Sep 2016 23:55:00 +0200

panther-launcher (1.11.3-Debian1) sid; urgency=low

  * Allows to disable building the gnome-panel applet (useful for fedora users)

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Tue, 20 Sep 2016 23:55:00 +0200

panther-launcher (1.11.2-Debian1) sid; urgency=low

  * Fixed packages

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Mon, 19 Sep 2016 23:55:00 +0200

panther-launcher (1.11.1-Debian1) sid; urgency=low

  * New packages for Fedora 24

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Sun, 07 Aug 2016 23:55:00 +0200

panther-launcher (1.11.0-Debian1) sid; urgency=low

  * Allows to change the font and icon size, and has better autosizing

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Sun, 17 Jul 2016 23:55:00 +0200

panther-launcher (1.10.1-Debian1) sid; urgency=low

  * Added compatibility with Gnome 3.20

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Wed, 30 Mar 2016 23:55:00 +0200

panther-launcher (1.10.0-Debian1) sid; urgency=low

  * Fixes a bug when moving the launcher to the bottom part

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Wed, 06 Jan 2016 23:55:00 +0200

panther-launcher (1.9.0-Debian1) sid; urgency=low

  * Allows to move the launcher to the bottom part of the screen

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Tue, 05 Jan 2016 23:55:00 +0200

panther-launcher (1.8.0-Debian1) sid; urgency=low

  * Now ensures that the cathegories width is constant
  * Now the size doesn't change when the screen resolution changes (example: after launching a game)

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Wed, 23 Dec 2015 23:55:00 +0200

panther-launcher (1.7.0-Debian1) sid; urgency=low

  * Now uses only DBus for both activating and pre-launching panther launcher from applet and extension

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Fry, 11 Dec 2015 23:55:00 +0200

panther-launcher (1.6.0-Debian1) sid; urgency=low

  * Fixed translations in Debian and Ubuntu
  * Gnome flashback applet now is translated
  * Added last patches from upstream Slingshot

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Wed, 09 Dec 2015 23:55:00 +0200

panther-launcher (1.5.0-Debian1) sid; urgency=low

  * Added DBus remote control and DBus activation support
  * Gnome Shell extension now uses DBus to show the menu
  * Applet for gnome-panel (gnome flashback) now uses DBus to show the menu

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Sun, 06 Dec 2015 23:55:00 +0200

panther-launcher (1.4.0-Debian1) sid; urgency=low

  * Now Zeitgeist is really fully optional
  * Now also installs the applet for gnome flashback

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Sun, 22 Nov 2015 23:55:00 +0200

panther-launcher (1.3.0-Debian1) sid; urgency=low

  * Added a frame around the launcher to better visually delimite it

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Sun, 18 Oct 2015 23:55:00 +0200

panther-launcher (1.2.0-Debian1) sid; urgency=low

  * It closes when pressing ESCAPE key
  * Can be launched with <Super>+q (editable with dconf-editor)

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Sat, 17 Oct 2015 23:55:00 +0200

panther-launcher (1.1.3-Debian1) sid; urgency=low

  * Removed dependency from Zeitgeist (now is fully optional)

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Tue, 13 Oct 2015 23:55:00 +0200

panther-launcher (1.1.2-Debian1) sid; urgency=low

  * Updated gnome shell extension for gnome shell 3.18

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Tue, 13 Oct 2015 23:50:00 +0200

panther-launcher (1.1.1-Debian1) sid; urgency=low

  * Updated text in Shell extension

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Thu, 24 Sep 2015 23:55:00 +0200

panther-launcher (1.1.0-Debian1) sid; urgency=low

  * Now installs the Gnome Shell extension system wide, allowing to put it in the packages

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Wed, 23 Sep 2015 23:55:00 +0200

panther-launcher (1.0.0-Debian1) sid; urgency=low

  * First public version

 -- Sergio Costas Rodriguez <raster@rastersoft.com>  Sat, 15 Aug 2015 23:55:00 +0200

=== debian/control ===
Source: panther-launcher
Maintainer: Sergio Costas <rastersoft@gmail.com>
Priority: optional
Section: misc
Standards-Version: 4.0.0
Build-Depends: build-essential, po-debconf, valac (>=0.26), libc6-dev, libgee-0.8-dev, libjson-glib-dev, libgnome-menu-3-dev, libsoup2.4-dev, libzeitgeist-2.0-dev, cmake, intltool, libpanel-applet-dev, libmate-panel-applet-dev

Package: panther-launcher
Architecture: any
Version: 1.13.0
Depends: libgtk-3-0, libgee-0.8-2, libgnome-menu-3-0, libzeitgeist-2.0-0, libc6-dev, gnome-icon-theme
Description: A fork from Slingshot Launcher. Its main change is that it doesn't
 depend on Gala, Granite or other libraries not available in regular
 linux distros. It also has been ported to Autovala, allowing an
 easier build. Finally, it also has an applet for Gnome Flashback and
 an extension for Gnome Shell, allowing to use it from these desktops.
 .

=== debian/rules ===
#!/usr/bin/make -f

BUILDDIR = build_dir

# secondly called by launchpad
build:
	mkdir $(BUILDDIR);
	cd $(BUILDDIR); cmake -DCMAKE_INSTALL_PREFIX=/usr -DGSETTINGS_COMPILE=OFF -DICON_UPDATE=OFF ..
	make -C $(BUILDDIR)


# thirdly called by launchpad
binary: binary-indep binary-arch

binary-indep:
	# nothing to be done

binary-arch:
	make install -C $(BUILDDIR) DESTDIR=./debian/tmp
	mkdir -p ./debian/tmp/DEBIAN
	mv $(BUILDDIR)/debian/tmp/* ./debian/tmp
	dpkg-gencontrol -ppanther-launcher;
	dpkg --build debian/tmp ..

# firstly called by launchpad
clean:
	rm -f build
	rm -rf $(BUILDDIR)

.PHONY: binary binary-arch binary-indep clean
